PaidGoods

Invoice count per status tab for the current filters

GET
/v1/stores/{storeId}/invoices/counts

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

status?string
Default"all"

Value in

  • "all"
  • "paid"
  • "pending"
  • "confirming"
  • "completed"
  • "partially_completed"
  • "processing"
  • "refunded"
  • "partially_refunded"
  • "expired"
  • "cancelled"
  • "failed"
  • "disputed"
statuses?string
Lengthlength <= 20000
q?string
Lengthlength <= 200
from?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
to?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
paymentMethodId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
paymentMethodIds?string
Lengthlength <= 20000
customerId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
archived?string

Value in

  • "true"
  • "false"
email?string
Lengthlength <= 200
ip?string
Lengthlength <= 200
country?string
Length2 <= length <= 2
discordId?string
Lengthlength <= 200
productName?string
Lengthlength <= 200
variantName?string
Lengthlength <= 200
couponCode?string
Lengthlength <= 200
customFieldValue?string
Lengthlength <= 200
manual?string

Value in

  • "true"
  • "false"
utmSource?string
Lengthlength <= 200
utmMedium?string
Lengthlength <= 200
utmCampaign?string
Lengthlength <= 200
utmTerm?string
Lengthlength <= 200
utmContent?string
Lengthlength <= 200
ids?string
Lengthlength <= 20000
sort?string
Default"created_desc"

Value in

  • "created_desc"
  • "created_asc"
  • "total_desc"
  • "total_asc"
  • "paid_desc"
page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 200
Default25

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/invoices/counts"
{  "data": {    "property1": -9007199254740991,    "property2": -9007199254740991  }}